:root {
  --primary-color: #f97d09;
  --secondary-color: #ccc;
}
body {
  background: #278d27;
  background: linear-gradient(
    346deg,
    rgba(39, 141, 39, 1) 0%,
    rgba(87, 199, 133, 1) 42%,
    rgba(249, 125, 9, 0.59) 60%
  );
}
.bg-primary {
  background-color: var(--primary-color) !important;
}
.btn-primary {
  background-color: var(--primary-color) !important;
  border-color: var(--primary-color) !important;
}
.btn-primary:hover {
  background-color: var(--primary-color) !important;
  border-color: var(--primary-color) !important;
}
.btn-primary:active {
  background-color: var(--primary-color) !important;
  border-color: var(--primary-color) !important;
}
.btn-primary:focus {
  background-color: var(--primary-color) !important;
  border-color: var(--primary-color) !important;
}
.btn-primary:disabled {
  background-color: var(--secondary-color);
  border-color: var(--secondary-color);
  cursor: not-allowed;
}
.btn-primary:hover:disabled {
  background-color: var(--secondary-color) !important;
  border-color: var(--secondary-color) !important;
  color: #fff !important;
}
.btn-primary:active:disabled {
  background-color: var(--secondary-color);
  border-color: var(--secondary-color);
}
.btn-primary:focus:disabled {
  background-color: var(--secondary-color);
  border-color: var(--secondary-color);
}

.loginFrom .card {
  border: none !important;
}
.inputFileClass {
    border: 1px solid #e5e4e4;
    min-height: 180px;
    border-radius: 3px;
    text-align: center;
    cursor: pointer;
    background: #f8f8f8;
    padding: 10px;
}
#customerOTP {
  display: none;
}
.gallery {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
    gap: 5px;
    margin-top: 0;
}

.image-card {
    position: relative;
    border: 1px solid #ddd;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s;
    background-color: #fff;
}

.image-card:hover {
  transform: translateY(-5px);
}

.image-preview {
    width: 75px;
    height: auto;
    object-fit: cover;
    display: block;
}

.image-info {
    padding: 0;
    background: white;
    font-size: 10px;
}
.image-name {
    font-weight: bold;
    margin-bottom: 5px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.image-size {
    color: #666;
    font-size: 8px;
}

.remove-icon {
    position: absolute;
    top: 2px;
    right: 3px;
    background: rgba(255, 0, 0, 0.8);
    color: white;
    border: none;
    border-radius: 50%;
    width: 15px;
    height: 15px;
    cursor: pointer;
    font-size: 8px;
}

.remove-icon:hover {
  background: rgba(255, 0, 0, 1);
}

.upload-btn {
  display: inline-block;
  padding: 12px 24px;
  background: #4a90e2;
  color: white;
  border-radius: 5px;
  cursor: pointer;
  font-weight: bold;
  transition: background 0.3s;
}

.upload-btn:hover {
  background: #357ae8;
}

#fileInput {
  display: none;
}
#images{
  display: none;
}
